hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karthik Kambatla (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-7738) Document incompatible API changes between 0.20.20x and 0.23.0 release
Date Thu, 03 Jul 2014 06:37:26 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-7738?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14051122#comment-14051122
] 

Karthik Kambatla commented on HADOOP-7738:
------------------------------------------

We should probably change the title to reflect that this is repurposed to capture 1.x ->
2.x. That said, I believe the status of API compatibility between 1.x and 2.x is reasonably
well know at this point. I wonder if there is much to gain from this documentation at this
point. 

In any case, do we want this to block 2.5? 

> Document incompatible API changes between 0.20.20x and 0.23.0 release
> ---------------------------------------------------------------------
>
>                 Key: HADOOP-7738
>                 URL: https://issues.apache.org/jira/browse/HADOOP-7738
>             Project: Hadoop Common
>          Issue Type: Improvement
>            Reporter: Tom White
>            Assignee: Tom White
>            Priority: Blocker
>         Attachments: apicheck-hadoop-0.20.204.0-0.24.0-SNAPSHOT.txt
>
>
> 0.20.20x to 0.23.0 will be a common upgrade path, so we should document any incompatible
API changes that will affect users.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message